import { api,createApiUrl} from '~/utils/axios';

/**
 * 上传图片
 */
  export const uploadGenImg = createApiUrl('Gen.Gen/uploadGenImg');

/**
 * 获取所有表列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getTablesList(data) {
  return api.post('Gen.Gen/getTatbleList', data);
}

/**
 * 获取生成表列表
 * @param {Object} data
 * @return {Promise} api
 */
 export function getGenTablesList(data) {
  return api.post('Gen.Gen/getGenTableList', data);
}

/**
 * 获取生成表详情
 * @param {Object} data
 * @return {Promise} api
 */
 export function getGenTableDetail(data) {
  return api.post('Gen.Gen/getGenTableDetail', data);
}

/**
 * 删除生成表
 * @param {Object} data
 * @return {Promise} api
 */
export function delTable(data) {
  return api.post('Gen.Gen/delTable', data, {
  });
}

/**
 * 导入表数据(初始化)
 * @param {Object} data
 * @return {Promise} api
 */
export function importTable(data) {
  return api.post('Gen.Gen/importTable', data, {
  });
}

/**
 * 生成代码
 * @param {Object} data
 * @return {Promise} api
 */
 export function genCode(data) {
  return api.post('Gen.Gen/genCode', data, {
  });
}

/**
 * 生成Api代码
 * @param {Object} data
 * @return {Promise} api
 */
 export function codeGeneratorApi(data) {
  return api.post('Gen.Gen/codeGeneratorApi', data, {
  });
}

/**
 * 编辑生成
 * @param {Object} data
 * @return {Promise} api
 */
export function updateGenTable(data) {
  return api.post('Gen.Gen/updateGenTable', data, {
  });
}

/**
 * 一键生成表
 * @param {Object} data
 * @return {Promise} api
 */
 export function createTable(data) {
  return api.post('Gen.Gen/createTable', data, {
  });
}

/**
 * 一键删除表
 * @param {Object} data
 * @return {Promise} api
 */
 export function deleteTable(data) {
  return api.post('Gen.Gen/deleteTable', data, {
  });
}

